General ⇒ Announcements ⇒ READ ME ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum IndexAnnouncements

READ ME Reply to topic


If you are using DownloadsPro, please open
modules/Downloads/include/friend.inc and make sure you have

<?php exit;

this will prevent the module to be used as spam vector.


EDIT: Please do not post in this thread, acknowledgeing you have updated (unless your having a problem with the update) or "thanks for the update" it causes the thread to become very long and important questions may be missed. --Admin

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


These instructions are quite unclear, considering the importance.

I have on row 16:

if (!defined('CPG_NUKE')) { exit; }

Is that enough? Or where is the exit; supposed to be?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
xp/1.3.36Unix/MySQL4.1.19Standard/4.4.2/9.1.2.1


at line 2

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


Versions please?
I have Revision: 1.1, and no code at lines 2 to 16.

Line #1
<?php

Line 17
if (!defined('CPG_NUKE')) { exit; }

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux makalu 2.6.17-1-686 / MySQL 4.1.21-standard-log / PHP 4.4.7 / CMS 9.0.5.0 / GD Version bundled (2.0.28 compatible)


Idea

Should we edit the code I mentioned to look like your example?
No mather what it looked like before?

( took a while getting there Rolling Eyes )

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux makalu 2.6.17-1-686 / MySQL 4.1.21-standard-log / PHP 4.4.7 / CMS 9.0.5.0 / GD Version bundled (2.0.28 compatible)


<?php exit; /****************************************************** Downloads Pro: Designed exclusively for Dragonfly CMS

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


I don't know any details about the problem, but to turn this file off completely insert

exit;

right after the <?php tag on the first line. I'd recommend doing that until we get more details about what the issue is.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux/Apache 2.0.63/MySQL 5.0.81/PHP 5.2.6/Dragonfly 9.2.1


The detail is already there - what more do you want? Spam means spam.

The main download has been updated to remove the link altogether and no, we are not going to add captcha - the link is gone permanently.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


Phoenix wrote
hmm, if you update to the latest version, there is no need to make a change.


Opps. I got an email saying that I should come to this thread and so I did. Should I take out the new addition to the file?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Redhat/2.0.50/4.1.21/4.4.7/9.2.1


The latest version (3.0.0.15) doesn't have the file and the menu link is also removed.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


NanoCaiordo wrote


Please do not post in this thread, acknowledgeing you have updated (unless your having a problem with the update) or "thanks for the update" it causes the thread to become very long and important questions may be missed. --Admin


Notice:
Edit added to original post and acknowledgment posts removed.

DF TIPS | Upgrade| Find Your Signature Specs|
"A bug in the code is worth two in the documentation. "

Please enter your server specs in your user profile! 😢


I know this may seem like a dumb question but should we also make the code correction tion for the non-Pro version (the plain vanilla 'Downloads' module)?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux/Apache 1.3.33/MMySQL 4.1.14/PHP 4.4.2/Dragonfly CMS 9.0.6.1

All times are UTC


Jump to: